Beta

답글 목록

QUERYhttps://api.youvico.com/api/comments/:id/replies
요청 제한
Default
API 권한
comments:read

댓글의 답글 목록을 조회합니다.

예시

curl -X QUERY 'https://api.youvico.com/api/comments/2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6/replies' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
{
  "data": [
    {
      "id": "84202e58-bf8c-471d-af07-0ab0f5b0f82b",
      "content": "Updated and re-exported.",
      "anchor": 12000,
      "duration": 3000,
      "createdAt": "2026-04-10 08:10:00.215374",
      "updatedAt": "2026-04-10 08:10:00.215374",
      "attachments": [],
      "reactions": [],
      "author": {
        "id": "c5c1c5d7-54f0-4d88-b78d-8f3c3a0d9bea",
        "name": "Haneul Park",
        "avatarUrl": null
      }
    }
  ],
  "page": {
    "next": null,
    "prev": null
  }
}
요청
curl -X QUERY 'https://api.youvico.com/api/comments/2fb4e60b-0d9a-46f3-a4dc-cb9fe8ad9be6/replies' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{}'
응답200 OK
{
  "data": [
    {
      "id": "84202e58-bf8c-471d-af07-0ab0f5b0f82b",
      "content": "Updated and re-exported.",
      "anchor": 12000,
      "duration": 3000,
      "createdAt": "2026-04-10 08:10:00.215374",
      "updatedAt": "2026-04-10 08:10:00.215374",
      "attachments": [],
      "reactions": [],
      "author": {
        "id": "c5c1c5d7-54f0-4d88-b78d-8f3c3a0d9bea",
        "name": "Haneul Park",
        "avatarUrl": null
      }
    }
  ],
  "page": {
    "next": null,
    "prev": null
  }
}

요청

경로

idstringrequired
상위 댓글 ID

본문

nextstring

Maximum 2048 characters

page.next 커서
prevstring

Maximum 2048 characters

page.prev 커서

응답

200 OK를 반환합니다.

dataarray
답글
data[].idstring
답글 ID

예시: 84202e58-bf8c-471d-af07-0ab0f5b0f82b

data[].contentstring
답글 내용

예시: Updated and re-exported.

data[].anchornumber?
동영상은 밀리초 단위 타임스탬프, 문서는 1부터 시작하는 페이지 번호

예시: 12000

data[].durationnumber?
anchor와 같은 단위의 댓글 구간 길이

예시: 3000

data[].createdAtstring
답글 생성 일시

예시: 2026-04-10 08:10:00.215374

data[].updatedAtstring
답글 마지막 수정 일시

예시: 2026-04-10 08:10:00.215374

data[].attachmentsarray
답글 첨부 파일
data[].reactionsarray
이모지별 리액션
data[].authorobject?
답글 작성자
pageobject
페이지네이션 커서
page.nextstring?
다음 페이지 커서

예시: null

page.prevstring?
이전 페이지 커서

예시: null